Package: grails.core

## [Java] Class DefaultArtefactInfo

- grails.core.DefaultArtefactInfo

- All Implemented Interfaces and Traits:
    ArtefactInfo

      public class DefaultArtefactInfo
      extends java.lang.Object

  Mutable holder of artefact info.

  Authors:
    Marc Palmer (marc@anyware.co.uk)
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.util.Map` | `handlerData` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addGrailsClass(GrailsClass artefactClass)`
    `` | `void` | `addOverridableGrailsClass(GrailsClass artefactGrailsClass)`
    `` | `java.lang.Class<?>[]` | `getClasses()`
    `` | `java.util.Map<java.lang.String, java.lang.Class<?>>` | `getClassesByName()`
    `` | `GrailsClass` | `getGrailsClass(java.lang.String name)`
    `` | `GrailsClass` | `getGrailsClassByLogicalPropertyName(java.lang.String logicalName)`
    `` | `GrailsClass[]` | `getGrailsClasses()`
    `` | `java.util.Map<java.lang.String, GrailsClass>` | `getGrailsClassesByName()`
    `` | `void` | `updateComplete()` Refresh the arrays generated from the maps.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map handlerData

  - ### Method Detail

    - #### public void addGrailsClass(GrailsClass artefactClass)

      Call to add a new class to this info object.

      You must call refresh() later to update the arrays

      Parameters:
        artefactClass

    - #### public void addOverridableGrailsClass(GrailsClass artefactGrailsClass)

    - #### public java.lang.Class<?>[] getClasses()

    - #### public java.util.Map<java.lang.String, java.lang.Class<?>> getClassesByName()

    - #### public GrailsClass getGrailsClass(java.lang.String name)

    - #### public GrailsClass getGrailsClassByLogicalPropertyName(java.lang.String logicalName)

    - #### public GrailsClass[] getGrailsClasses()

    - #### public java.util.Map<java.lang.String, GrailsClass> getGrailsClassesByName()

    - #### public void updateComplete()

      Refresh the arrays generated from the maps.